<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_242-release) on Sun May 23 22:06:33 CEST 2021 -->
<title>IceBreaker</title>
<meta name="date" content="2021-05-23">
<link rel="stylesheet" type="text/css" href="../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="IceBreaker";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":9,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":9,"i19":10,"i20":10,"i21":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/distributed/radio/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/distributed/radio/IceBreaker.BooleanHolder.html" title="class in com.distributed.radio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/distributed/radio/IceBreaker.html" target="_top">Frames</a></li>
<li><a href="IceBreaker.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.distributed.radio</div>
<h2 title="Class IceBreaker" class="title">Class IceBreaker</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>android.content.Context</li>
<li>
<ul class="inheritance">
<li>android.content.ContextWrapper</li>
<li>
<ul class="inheritance">
<li>android.app.Application</li>
<li>
<ul class="inheritance">
<li>com.distributed.radio.IceBreaker</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>android.content.ComponentCallbacks, android.content.ComponentCallbacks2</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">IceBreaker</span>
extends android.app.Application</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>(package private) static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.BooleanHolder.html" title="class in com.distributed.radio">IceBreaker.BooleanHolder</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>(package private) static class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.MessageReady.html" title="class in com.distributed.radio">IceBreaker.MessageReady</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.android.app.Application">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;android.app.Application</h3>
<code>android.app.Application.ActivityLifecycleCallbacks, android.app.Application.OnProvideAssistDataListener</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.zeroc.demos.android.hello.SoundLibrary.AuthenticatorPrx</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_authProxy">_authProxy</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private com.zeroc.Ice.Communicator</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_communicator">_communicator</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.os.Handler</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_handler">_handler</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_host">_host</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_initialized">_initialized</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_mode">_mode</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.zeroc.demos.android.hello.SoundLibrary.PlayerInterfacePrx</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_playerProxy">_playerProxy</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private java.util.List&lt;android.os.Message&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_queue">_queue</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.zeroc.Ice.InvocationFuture&lt;?&gt;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_result">_result</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private <a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_resultMode">_resultMode</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private com.zeroc.demos.android.hello.SoundLibrary.SoundInterfacePrx</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_soundProxy">_soundProxy</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_timeout">_timeout</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private android.os.Handler</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_uiHandler">_uiHandler</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>private boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#Z:Z_useDiscovery">_useDiscovery</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private static com.zeroc.demos.android.hello.SoundLibrary.Sound</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#currentSound">currentSound</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#HOSTIP">HOSTIP</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#MSG_EXCEPTION">MSG_EXCEPTION</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#MSG_READY">MSG_READY</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#MSG_RESPONSE">MSG_RESPONSE</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#MSG_SENDING">MSG_SENDING</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#MSG_SENT">MSG_SENT</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#MSG_WAIT">MSG_WAIT</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>private int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#queryType">queryType</a></span></code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static com.zeroc.demos.android.hello.SoundLibrary.Sound[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#soundList">soundList</a></span></code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#streamUrl">streamUrl</a></span></code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.content.Context">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;android.content.Context</h3>
<code>ACCESSIBILITY_SERVICE, ACCOUNT_SERVICE, ACTIVITY_SERVICE, ALARM_SERVICE, APP_OPS_SERVICE, APPWIDGET_SERVICE, AUDIO_SERVICE, BATTERY_SERVICE, BIND_ABOVE_CLIENT, BIND_ADJUST_WITH_ACTIVITY, BIND_ALLOW_OOM_MANAGEMENT, BIND_AUTO_CREATE, BIND_DEBUG_UNBIND, BIND_EXTERNAL_SERVICE, BIND_IMPORTANT, BIND_INCLUDE_CAPABILITIES, BIND_NOT_FOREGROUND, BIND_NOT_PERCEPTIBLE, BIND_WAIVE_PRIORITY, BIOMETRIC_SERVICE, BLOB_STORE_SERVICE, BLUETOOTH_SERVICE, CAMERA_SERVICE, CAPTIONING_SERVICE, CARRIER_CONFIG_SERVICE, CLIPBOARD_SERVICE, COMPANION_DEVICE_SERVICE, CONNECTIVITY_DIAGNOSTICS_SERVICE, CONNECTIVITY_SERVICE, CONSUMER_IR_SERVICE, CONTEXT_IGNORE_SECURITY, CONTEXT_INCLUDE_CODE, CONTEXT_RESTRICTED, CROSS_PROFILE_APPS_SERVICE, DEVICE_POLICY_SERVICE, DISPLAY_SERVICE, DOWNLOAD_SERVICE, DROPBOX_SERVICE, EUICC_SERVICE, FILE_INTEGRITY_SERVICE, FINGERPRINT_SERVICE, HARDWARE_PROPERTIES_SERVICE, INPUT_METHOD_SERVICE, INPUT_SERVICE, IPSEC_SERVICE, JOB_SCHEDULER_SERVICE, KEYGUARD_SERVICE, LAUNCHER_APPS_SERVICE, LAYOUT_INFLATER_SERVICE, LOCATION_SERVICE, MEDIA_PROJECTION_SERVICE, MEDIA_ROUTER_SERVICE, MEDIA_SESSION_SERVICE, MIDI_SERVICE, MODE_APPEND, MODE_ENABLE_WRITE_AHEAD_LOGGING, MODE_MULTI_PROCESS, MODE_NO_LOCALIZED_COLLATORS, MODE_PRIVATE, MODE_WORLD_READABLE, MODE_WORLD_WRITEABLE, NETWORK_STATS_SERVICE, NFC_SERVICE, NOTIFICATION_SERVICE, NSD_SERVICE, POWER_SERVICE, PRINT_SERVICE, RECEIVER_VISIBLE_TO_INSTANT_APPS, RESTRICTIONS_SERVICE, ROLE_SERVICE, SEARCH_SERVICE, SENSOR_SERVICE, SHORTCUT_SERVICE, STORAGE_SERVICE, STORAGE_STATS_SERVICE, SYSTEM_HEALTH_SERVICE, TELECOM_SERVICE, TELEPHONY_IMS_SERVICE, TELEPHONY_SERVICE, TELEPHONY_SUBSCRIPTION_SERVICE, TEXT_CLASSIFICATION_SERVICE, TEXT_SERVICES_MANAGER_SERVICE, TV_INPUT_SERVICE, UI_MODE_SERVICE, USAGE_STATS_SERVICE, USB_SERVICE, USER_SERVICE, VIBRATOR_SERVICE, VPN_MANAGEMENT_SERVICE, WALLPAPER_SERVICE, WIFI_AWARE_SERVICE, WIFI_P2P_SERVICE, WIFI_RTT_RANGING_SERVICE, WIFI_SERVICE, WINDOW_SERVICE</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.android.content.ComponentCallbacks2">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;android.content.ComponentCallbacks2</h3>
<code>TRIM_MEMORY_BACKGROUND, TRIM_MEMORY_COMPLETE, TRIM_MEMORY_MODERATE, TRIM_MEMORY_RUNNING_CRITICAL, TRIM_MEMORY_RUNNING_LOW, TRIM_MEMORY_RUNNING_MODERATE, TRIM_MEMORY_UI_HIDDEN</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#IceBreaker--">IceBreaker</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#flush--">flush</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static com.zeroc.demos.android.hello.SoundLibrary.Sound</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#getCurrentSound--">getCurrentSound</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#getHost--">getHost</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#getSoundListAsync-com.distributed.radio.MainActivity-">getSoundListAsync</a></span>(<a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#getToken--">getToken</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#onCreate--">onCreate</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#onTerminate--">onTerminate</a></span>()</code>
<div class="block">Called when the application is stopping.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#playSound-com.zeroc.demos.android.hello.SoundLibrary.Sound-com.distributed.radio.MainActivity-android.view.View-">playSound</a></span>(com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;sound,
         <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity,
         android.view.View&nbsp;view)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#removeSoundAsync-com.zeroc.demos.android.hello.SoundLibrary.Sound-com.distributed.radio.MainActivity-">removeSoundAsync</a></span>(com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;toRemove,
                <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#renameSoundAsync-com.zeroc.demos.android.hello.SoundLibrary.Sound-com.zeroc.demos.android.hello.SoundLibrary.Sound-com.distributed.radio.MainActivity-">renameSoundAsync</a></span>(com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;toRename,
                com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;newName,
                <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#setDeliveryMode-com.distributed.radio.DeliveryMode-">setDeliveryMode</a></span>(<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a>&nbsp;mode)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#setHandler-android.os.Handler-">setHandler</a></span>(android.os.Handler&nbsp;handler)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#setHost-java.lang.String-">setHost</a></span>(java.lang.String&nbsp;host)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#setQueryType-int-">setQueryType</a></span>(int&nbsp;i)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#setTimeout-int-">setTimeout</a></span>(int&nbsp;timeout)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#setUseDiscovery-boolean-">setUseDiscovery</a></span>(boolean&nbsp;b)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#simpleQuery-java.lang.String-com.distributed.radio.MainActivity-android.view.View-">simpleQuery</a></span>(java.lang.String&nbsp;searchText,
           <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity,
           android.view.View&nbsp;view)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#soundQueryAsync-java.lang.String-com.distributed.radio.MainActivity-">soundQueryAsync</a></span>(java.lang.String&nbsp;query,
               <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#speechToTextQuery-java.lang.String-java.lang.String-">speechToTextQuery</a></span>(java.lang.String&nbsp;url,
                 java.lang.String&nbsp;fileName)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#stopSoundAsync--">stopSoundAsync</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>private void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#updateProxy--">updateProxy</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>(package private) void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../com/distributed/radio/IceBreaker.html#uploadSoundAsync-com.zeroc.demos.android.hello.SoundLibrary.Sound-java.lang.String-com.distributed.radio.MainActivity-">uploadSoundAsync</a></span>(com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;sound,
                java.lang.String&nbsp;filename,
                <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.app.Application">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.app.Application</h3>
<code>getProcessName, onConfigurationChanged, onLowMemory, onTrimMemory, registerActivityLifecycleCallbacks, registerComponentCallbacks, registerOnProvideAssistDataListener, unregisterActivityLifecycleCallbacks, unregisterComponentCallbacks, unregisterOnProvideAssistDataListener</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.content.ContextWrapper">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.content.ContextWrapper</h3>
<code>attachBaseContext, bindIsolatedService, bindService, bindService, bindServiceAsUser, checkCallingOrSelfPermission, checkCallingOrSelfUriPermission, checkCallingPermission, checkCallingUriPermission, checkPermission, checkSelfPermission, checkUriPermission, checkUriPermission, clearWallpaper, createAttributionContext, createConfigurationContext, createContextForSplit, createDeviceProtectedStorageContext, createDisplayContext, createPackageContext, createWindowContext, databaseList, deleteDatabase, deleteFile, deleteSharedPreferences, enforceCallingOrSelfPermission, enforceCallingOrSelfUriPermission, enforceCallingPermission, enforceCallingUriPermission, enforcePermission, enforceUriPermission, enforceUriPermission, fileList, getApplicationContext, getApplicationInfo, getAssets, getAttributionTag, getBaseContext, getCacheDir, getClassLoader, getCodeCacheDir, getContentResolver, getDatabasePath, getDataDir, getDir, getDisplay, getExternalCacheDir, getExternalCacheDirs, getExternalFilesDir, getExternalFilesDirs, getExternalMediaDirs, getFilesDir, getFileStreamPath, getMainExecutor, getMainLooper, getNoBackupFilesDir, getObbDir, getObbDirs, getOpPackageName, getPackageCodePath, getPackageManager, getPackageName, getPackageResourcePath, getResources, getSharedPreferences, getSystemService, getSystemServiceName, getTheme, getWallpaper, getWallpaperDesiredMinimumHeight, getWallpaperDesiredMinimumWidth, grantUriPermission, isDeviceProtectedStorage, isRestricted, moveDatabaseFrom, moveSharedPreferencesFrom, openFileInput, openFileOutput, openOrCreateDatabase, openOrCreateDatabase, peekWallpaper, registerReceiver, registerReceiver, registerReceiver, registerReceiver, removeStickyBroadcast, removeStickyBroadcastAsUser, revokeUriPermission, revokeUriPermission, sendBroadcast, sendBroadcast, sendBroadcastAsUser, sendBroadcastAsUser, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcast, sendOrderedBroadcastAsUser, sendStickyBroadcast, sendStickyBroadcastAsUser, sendStickyOrderedBroadcast, sendStickyOrderedBroadcastAsUser, setTheme, setWallpaper, setWallpaper, startActivities, startActivities, startActivity, startActivity, startForegroundService, startInstrumentation, startIntentSender, startIntentSender, startService, stopService, unbindService, unregisterReceiver, updateServiceGroup</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.android.content.Context">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;android.content.Context</h3>
<code>getColor, getColorStateList, getDrawable, getString, getString, getSystemService, getText, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, obtainStyledAttributes, sendBroadcastWithMultiplePermissions</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="HOSTIP">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>HOSTIP</h4>
<pre>public static&nbsp;java.lang.String HOSTIP</pre>
</li>
</ul>
<a name="queryType">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>queryType</h4>
<pre>private&nbsp;int queryType</pre>
</li>
</ul>
<a name="Z:Z_queue">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_queue</h4>
<pre>private final&nbsp;java.util.List&lt;android.os.Message&gt; _queue</pre>
</li>
</ul>
<a name="Z:Z_uiHandler">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_uiHandler</h4>
<pre>private&nbsp;android.os.Handler _uiHandler</pre>
</li>
</ul>
<a name="Z:Z_initialized">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_initialized</h4>
<pre>private&nbsp;boolean _initialized</pre>
</li>
</ul>
<a name="Z:Z_communicator">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_communicator</h4>
<pre>private&nbsp;com.zeroc.Ice.Communicator _communicator</pre>
</li>
</ul>
<a name="Z:Z_soundProxy">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_soundProxy</h4>
<pre>private&nbsp;com.zeroc.demos.android.hello.SoundLibrary.SoundInterfacePrx _soundProxy</pre>
</li>
</ul>
<a name="Z:Z_playerProxy">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_playerProxy</h4>
<pre>private&nbsp;com.zeroc.demos.android.hello.SoundLibrary.PlayerInterfacePrx _playerProxy</pre>
</li>
</ul>
<a name="Z:Z_authProxy">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_authProxy</h4>
<pre>private&nbsp;com.zeroc.demos.android.hello.SoundLibrary.AuthenticatorPrx _authProxy</pre>
</li>
</ul>
<a name="Z:Z_result">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_result</h4>
<pre>private&nbsp;com.zeroc.Ice.InvocationFuture&lt;?&gt; _result</pre>
</li>
</ul>
<a name="Z:Z_resultMode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_resultMode</h4>
<pre>private&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> _resultMode</pre>
</li>
</ul>
<a name="Z:Z_handler">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_handler</h4>
<pre>private&nbsp;android.os.Handler _handler</pre>
</li>
</ul>
<a name="Z:Z_host">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_host</h4>
<pre>private&nbsp;java.lang.String _host</pre>
</li>
</ul>
<a name="Z:Z_useDiscovery">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_useDiscovery</h4>
<pre>private&nbsp;boolean _useDiscovery</pre>
</li>
</ul>
<a name="Z:Z_timeout">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_timeout</h4>
<pre>private&nbsp;int _timeout</pre>
</li>
</ul>
<a name="Z:Z_mode">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>_mode</h4>
<pre>private&nbsp;<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a> _mode</pre>
</li>
</ul>
<a name="currentSound">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>currentSound</h4>
<pre>private static&nbsp;com.zeroc.demos.android.hello.SoundLibrary.Sound currentSound</pre>
</li>
</ul>
<a name="soundList">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>soundList</h4>
<pre>public static&nbsp;com.zeroc.demos.android.hello.SoundLibrary.Sound[] soundList</pre>
</li>
</ul>
<a name="streamUrl">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>streamUrl</h4>
<pre>public static&nbsp;java.lang.String streamUrl</pre>
</li>
</ul>
<a name="MSG_WAIT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MSG_WAIT</h4>
<pre>public static final&nbsp;int MSG_WAIT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.distributed.radio.IceBreaker.MSG_WAIT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MSG_READY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MSG_READY</h4>
<pre>public static final&nbsp;int MSG_READY</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.distributed.radio.IceBreaker.MSG_READY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MSG_EXCEPTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MSG_EXCEPTION</h4>
<pre>public static final&nbsp;int MSG_EXCEPTION</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.distributed.radio.IceBreaker.MSG_EXCEPTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MSG_RESPONSE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MSG_RESPONSE</h4>
<pre>public static final&nbsp;int MSG_RESPONSE</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.distributed.radio.IceBreaker.MSG_RESPONSE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MSG_SENDING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>MSG_SENDING</h4>
<pre>public static final&nbsp;int MSG_SENDING</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.distributed.radio.IceBreaker.MSG_SENDING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="MSG_SENT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>MSG_SENT</h4>
<pre>public static final&nbsp;int MSG_SENT</pre>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../constant-values.html#com.distributed.radio.IceBreaker.MSG_SENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="IceBreaker--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>IceBreaker</h4>
<pre>public&nbsp;IceBreaker()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getCurrentSound--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCurrentSound</h4>
<pre>public static&nbsp;com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;getCurrentSound()</pre>
</li>
</ul>
<a name="getHost--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getHost</h4>
<pre>public&nbsp;java.lang.String&nbsp;getHost()</pre>
</li>
</ul>
<a name="onCreate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onCreate</h4>
<pre>public&nbsp;void&nbsp;onCreate()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onCreate</code>&nbsp;in class&nbsp;<code>android.app.Application</code></dd>
</dl>
</li>
</ul>
<a name="onTerminate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onTerminate</h4>
<pre>public&nbsp;void&nbsp;onTerminate()</pre>
<div class="block">Called when the application is stopping.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>onTerminate</code>&nbsp;in class&nbsp;<code>android.app.Application</code></dd>
</dl>
</li>
</ul>
<a name="setHandler-android.os.Handler-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHandler</h4>
<pre>void&nbsp;setHandler(android.os.Handler&nbsp;handler)</pre>
</li>
</ul>
<a name="setHost-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setHost</h4>
<pre>void&nbsp;setHost(java.lang.String&nbsp;host)</pre>
</li>
</ul>
<a name="setUseDiscovery-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setUseDiscovery</h4>
<pre>void&nbsp;setUseDiscovery(boolean&nbsp;b)</pre>
</li>
</ul>
<a name="setTimeout-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setTimeout</h4>
<pre>void&nbsp;setTimeout(int&nbsp;timeout)</pre>
</li>
</ul>
<a name="setDeliveryMode-com.distributed.radio.DeliveryMode-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setDeliveryMode</h4>
<pre>void&nbsp;setDeliveryMode(<a href="../../../com/distributed/radio/DeliveryMode.html" title="enum in com.distributed.radio">DeliveryMode</a>&nbsp;mode)</pre>
</li>
</ul>
<a name="flush--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>flush</h4>
<pre>void&nbsp;flush()</pre>
</li>
</ul>
<a name="getToken--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getToken</h4>
<pre>void&nbsp;getToken()</pre>
</li>
</ul>
<a name="getSoundListAsync-com.distributed.radio.MainActivity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getSoundListAsync</h4>
<pre>void&nbsp;getSoundListAsync(<a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</pre>
</li>
</ul>
<a name="soundQueryAsync-java.lang.String-com.distributed.radio.MainActivity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>soundQueryAsync</h4>
<pre>void&nbsp;soundQueryAsync(java.lang.String&nbsp;query,
                     <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</pre>
</li>
</ul>
<a name="removeSoundAsync-com.zeroc.demos.android.hello.SoundLibrary.Sound-com.distributed.radio.MainActivity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeSoundAsync</h4>
<pre>void&nbsp;removeSoundAsync(com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;toRemove,
                      <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</pre>
</li>
</ul>
<a name="renameSoundAsync-com.zeroc.demos.android.hello.SoundLibrary.Sound-com.zeroc.demos.android.hello.SoundLibrary.Sound-com.distributed.radio.MainActivity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>renameSoundAsync</h4>
<pre>void&nbsp;renameSoundAsync(com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;toRename,
                      com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;newName,
                      <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</pre>
</li>
</ul>
<a name="playSound-com.zeroc.demos.android.hello.SoundLibrary.Sound-com.distributed.radio.MainActivity-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playSound</h4>
<pre>void&nbsp;playSound(com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;sound,
               <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity,
               android.view.View&nbsp;view)</pre>
</li>
</ul>
<a name="simpleQuery-java.lang.String-com.distributed.radio.MainActivity-android.view.View-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>simpleQuery</h4>
<pre>public&nbsp;java.lang.String&nbsp;simpleQuery(java.lang.String&nbsp;searchText,
                                    <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity,
                                    android.view.View&nbsp;view)</pre>
</li>
</ul>
<a name="speechToTextQuery-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>speechToTextQuery</h4>
<pre>public static&nbsp;java.lang.String&nbsp;speechToTextQuery(java.lang.String&nbsp;url,
                                                 java.lang.String&nbsp;fileName)</pre>
</li>
</ul>
<a name="stopSoundAsync--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>stopSoundAsync</h4>
<pre>void&nbsp;stopSoundAsync()</pre>
</li>
</ul>
<a name="uploadSoundAsync-com.zeroc.demos.android.hello.SoundLibrary.Sound-java.lang.String-com.distributed.radio.MainActivity-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>uploadSoundAsync</h4>
<pre>void&nbsp;uploadSoundAsync(com.zeroc.demos.android.hello.SoundLibrary.Sound&nbsp;sound,
                      java.lang.String&nbsp;filename,
                      <a href="../../../com/distributed/radio/MainActivity.html" title="class in com.distributed.radio">MainActivity</a>&nbsp;mainActivity)</pre>
</li>
</ul>
<a name="updateProxy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>updateProxy</h4>
<pre>private&nbsp;void&nbsp;updateProxy()</pre>
</li>
</ul>
<a name="setQueryType-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setQueryType</h4>
<pre>public&nbsp;void&nbsp;setQueryType(int&nbsp;i)</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../com/distributed/radio/package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../com/distributed/radio/FileChooser.FileSelectedListener.html" title="interface in com.distributed.radio"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../com/distributed/radio/IceBreaker.BooleanHolder.html" title="class in com.distributed.radio"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../index.html?com/distributed/radio/IceBreaker.html" target="_top">Frames</a></li>
<li><a href="IceBreaker.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
